Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### spotLight()

Examples

    size(100, 100, P3D);
    background(0);
    noStroke();
    spotLight(51, 102, 126, 80, 20, 40, -1, 0, 0, PI/2, 2);
    translate(20, 50, 0);
    sphere(30);

    10000
    background(0);
    noStroke();
    background(0);
    spotLight(51, 102, 126, 50, 50, 400,
              0, 0, -1, PI/16, concentration);
    translate(80, 50, 0);
    sphere(30);

Description

Adds a spot light. Lights need to be included in the draw() to remain persistent in a looping program. Placing them in the setup() of a looping program will cause them to only have an effect the first time through the loop. The affect of the v1, v2, and v3 parameters is determined by the current color mode. The x, y, and z parameters specify the position of the light and nx, ny, nz specify the direction or light. The angle parameter affects angle of the spotlight cone.

Syntax

    spotLight(v1, v2, v3, x, y, z, nx, ny, nz, angle, concentration)

Parameters

v1 | int or float: red or hue value
v2 | int or float: green or hue value
v3 | int or float: blue or hue value
x | int or float: x coordinate of the light
y | int or float: y coordinate of the light
z | int or float: z coordinate of the light
nx | int or float: direction along the x axis
ny | int or float: direction along the y axis
nz | int or float: direction along the z axis
angle | float: angle of the spotlight cone
concentration | float: exponent determining the center bias of the cone

Returns | None
Usage | Web & Application
Related | lights() directionalLight() ambientLight() pointLight()

Updated on November 22, 2008 08:39:26pm PST